<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use App\Models\Waterflow1;
use Faker\Factory as Faker;

class Waterflow1Seeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        $faker = Faker::create();

        foreach(range(1, 50) as $index) {
            Waterflow1::create([
                'arus' => $faker->randomFloat(2, 0.0, 10.0),  // Arus dalam rentang 0.0 hingga 10.0 Ampere
                'total' => $faker->randomFloat(2, 0.0, 1000.0), // Total arus dalam rentang 0.0 hingga 1000.0
                'tanggal' => $faker->dateTimeThisYear() // Tanggal acak dalam tahun ini
            ]);
        }
    }
}
